/* 
Include CSS in HTML
-Inline Styling
-Internal Styling
-External CSS (recommended)	
*/
/* CSS Selectors */
/* Universal Selector (*) - targets all elements */
* { 

	font-family: "Courier New" , monospace; 
	font-size: 20px;
}

/* Type Selector (<tag name>)- targets elements with the specified type/tag name */
h1 {
	color :yellow !important;
	/*!important property override CSS Styling*/
	 }



/*  ID Selector (#id) targets elements according to its ID attributes; ideally used for targeting
a unique element
 */
#zuitt-motto {
	letter-spacing: 5px;
}

/* Class selector (.class-name) - tagets according to its class attribute;
ideally used for multiple elements at once*/
.offering-item {
	text-transform: uppercase;
}

/* Attribute selector (tagname[attribute]) - target elements with a specified element
attribute; use to target elements wit a certain atribute */

input[required ] {
	border-width: 2px;
	border-style: solid;
	border-color: blue;
}
/*Adjacent siblign selector*/
h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;

}

/*Descendant Selector*/
#bootcamp-leaning-list li {
	color: green;

}

h2 ~ a {
	text-decoration: none;

}



/* CSS Selector Combinators */
/*Descendant Selector (white space)- matches all elements that are
descendants of a specified elements*/

/*div p{
	background-color: red;
}*/

/*#parent p{
	background-color: red;
}
*/
/*Child Selector (>)*/
/*select all element that are direct children of a specified element*/
/* div > p {
 	background-color: red;
 }*/

/* #parent > p {
 	background: red;
 }
*/

 /*General Sibling Selector (~)*/
/* p ~ p {
 	background-color: red;
 }*/

 /*p ~ section {
 	background-color: red;
 }*/

/*Adjacent Sibling Selector (+)*/

/*p + p {
	background-color: red;
}
*/
div + p {
	background-color: red;
}